## tidy 20020301-1

=== Makefile ===
# Makefile - for tidy - HTML parser and pretty printer
#
#  CVS Info :
#
#     $Author: terry_teague $ 
#     $Date: 2002/01/21 03:34:35 $ 
#     $Revision: 1.7 $ 
#
#  Copyright (c) 1998-2000 World Wide Web Consortium
#  (Massachusetts Institute of Technology, Institut National de
#  Recherche en Informatique et en Automatique, Keio University).
#  All Rights Reserved.
#
#  Contributing Author(s):
#
#     Dave Raggett <dsr@w3.org>
#     Terry Teague <terry_teague@users.sourceforge.net>
#
#  The contributing author(s) would like to thank all those who
#  helped with testing, bug fixes, and patience.  This wouldn't
#  have been possible without all of you.
#
#  COPYRIGHT NOTICE:
#
#  This software and documentation is provided "as is," and
#  the copyright holders and contributing author(s) make no
#  representations or warranties, express or implied, including
#  but not limited to, warranties of merchantability or fitness
#  for any particular purpose or that the use of the software or
#  documentation will not infringe any third party patents,
#  copyrights, trademarks or other rights. 
#
#  The copyright holders and contributing author(s) will not be
#  liable for any direct, indirect, special or consequential damages
#  arising out of any use of the software or documentation, even if
#  advised of the possibility of such damage.
#
#  Permission is hereby granted to use, copy, modify, and distribute
#  this source code, or portions hereof, documentation and executables,
#  for any purpose, without fee, subject to the following restrictions:
#
#  1. The origin of this source code must not be misrepresented.
#  2. Altered versions must be plainly marked as such and must
#     not be misrepresented as being the original source.
#  3. This Copyright notice may not be removed or altered from any
#     source or altered source distribution.
# 
#  The copyright holders and contributing author(s) specifically
#  permit, without fee, and encourage the use of this source code
#  as a component for supporting the Hypertext Markup Language in
#  commercial products. If you use this source code in a product,
#  acknowledgment is not required but would be appreciated.
#

CC= gcc

INCLDIR= ./include/
SRCDIR= ./src/
OBJDIR= ./

DEBUGFLAGS=-g -DDMALLOC
CFLAGS= -I $(INCLDIR)
OTHERCFLAGS=
LIBS=-lc
DEBUGLIBS=-ldmalloc

INSTALLDIR= /usr/local/
MANPAGESDIR= /usr/local/man/

OFILES=		$(OBJDIR)attrs.o         $(OBJDIR)istack.o        $(OBJDIR)parser.o        $(OBJDIR)tags.o \
		$(OBJDIR)entities.o      $(OBJDIR)lexer.o         $(OBJDIR)pprint.o        $(OBJDIR)clean.o \
		$(OBJDIR)localize.o      $(OBJDIR)config.o        $(OBJDIR)tidy.o

CFILES=		$(SRCDIR)attrs.c         $(SRCDIR)istack.c        $(SRCDIR)parser.c        $(SRCDIR)tags.c \
		$(SRCDIR)entities.c      $(SRCDIR)lexer.c         $(SRCDIR)pprint.c        $(SRCDIR)clean.c \
		$(SRCDIR)localize.c      $(SRCDIR)config.c        $(SRCDIR)tidy.c

HFILES=		$(INCLDIR)platform.h $(INCLDIR)html.h

tidy:		$(OFILES)
		$(CC) $(CFLAGS) $(OTHERCFLAGS) -o tidy $(OFILES) $(LIBS)

$(OFILES):	$(HFILES) Makefile
		$(CC) $(CFLAGS) $(OTHERCFLAGS) $(SRCDIR)$*.c -c
                
tab2space:	$(SRCDIR)tab2space.c
		$(CC) $(CFLAGS) $(OTHERCFLAGS) -o tab2space $(SRCDIR)tab2space.c $(LIBS)

all:		tidy tab2space

debug:
	@$(MAKE) CFLAGS='$(CFLAGS) $(DEBUGFLAGS)' LIBS='$(LIBS) $(DEBUGLIBS)' all

clean:
		rm -f $(OFILES) tab2space.o  tidy tab2space

install: tidy
	mkdir -p $(INSTALLDIR)bin
	cp -f tidy $(INSTALLDIR)bin
	if [ -f "man_page.txt" ] ; then \
		mkdir -p $(MANPAGESDIR)man1; \
		cp -f man_page.txt $(MANPAGESDIR)man1/tidy.1; \
	fi
	-cd $(INSTALLDIR)bin; \
	chmod 755 tidy; \
	chgrp bin tidy; \
	chown bin tidy;

=== debian/changelog ===
tidy (20020301-1) unstable; urgency=low

  * New upstream version.
  * fix '--add-xml-decl yes --add-xml-space yes' crash bug
    thanks to  Cesar Eduardo Barros <cesarb@nitnet.com.br>
    and upstream.
    (closes: #137124)

 -- Jason Thomas <jason@debian.org>  Fri,  8 Mar 2002 10:58:30 +1100

tidy (20020202-1) unstable; urgency=low

  * New upstream version.
    (closes: #131908, #111026, #75554)
  * changed to apply and remove patches at build time

 -- Jason Thomas <jason@debian.org>  Mon,  4 Feb 2002 19:03:42 +1100

tidy (20000804-5) unstable; urgency=low

  * forgot to uncomment #define in platform.h which allows the use of
    ~/.tidyrc
    (closes: #105355)

 -- Jason Thomas <jason@debian.org>  Thu, 16 Aug 2001 17:12:11 +1000

tidy (20000804-4) unstable; urgency=low

  * removed mention of GPL from debian/copyright
    (closes: #106681)

 -- Jason Thomas <jason@debian.org>  Fri, 27 Jul 2001 10:41:49 +1000

tidy (20000804-3) unstable; urgency=low

  * New maintainer
  * Enabled default configuration file /etc/tidy.conf
    and added default configuration file /etc/tidy.conf
    and modified manpage to mention default configuration
    ( closes: #95218 )
  * configuration file supports '#' and '//' as comment.
  * changed to use dh_installman
  * remove debuging option from rules file, if anyone actually uses this let me
    know
  * changed to standards-version 3.5.5
  * changed the copyright file
  * changed debian rules file so it's more like the other packages I maintain.

 -- Jason Thomas <jason@debian.org>  Thu, 14 Jun 2001 15:16:19 +1000

tidy (20000804-2) unstable; urgency=low

  * Orphaning.
  * Moved to debhelper 3.
  * Conforms to Standards version 3.5.4.

 -- Matej Vela <vela@debian.org>  Wed,  2 May 2001 07:53:08 +0200

tidy (20000804-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#79626.
  * Conforms to Standards version 3.2.1:
    * debian/rules: Supports `debug' and `nostrip' build options.
  * debian/control: No longer suggests lynx because it doesn't seem
    relevant.  (Feel free to contact me if you disagree.)

 -- Matej Vela <vela@debian.org>  Mon, 18 Dec 2000 04:25:16 +0100

tidy (20000430-1) unstable; urgency=low

  * New upstream version.
  * Overview.html: Link to tidy.c changed to point to copyright.
    Closes: Bug#63647.
  * debian/copyright: Updated.

 -- Matej Vela <vela@debian.org>  Sat,  6 May 2000 12:05:22 +0200

tidy (20000113-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jan 2000 19:15:52 +0100

tidy (20000112-1) unstable; urgency=low

  * New upstream version.
  * Makefile: Corrected the clean target.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jan 2000 12:20:21 +0100

tidy (19991130-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.1.1.

 -- Matej Vela <vela@debian.org>  Wed,  1 Dec 1999 07:50:50 +0100

tidy (19991124-1) unstable; urgency=low

  * New upstream version.
  * Updated the manual page.
  * Conforms to Standards version 3.1.0:
    * debian/control: Added build dependancies.

 -- Matej Vela <vela@debian.org>  Thu, 25 Nov 1999 18:36:31 +0100

tidy (19991022-1) unstable; urgency=low

  * New upstream version.  Closes: Bug#47241.
  * Overview.html, release-notes.html: Removed references to grid.gif
    and tidy.gif which are no longer included in the pristine source.

 -- Matej Vela <vela@debian.org>  Sat, 23 Oct 1999 19:51:08 +0200

tidy (19990927-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Wed, 29 Sep 1999 20:06:12 +0200

tidy (19990726-3) unstable; urgency=low

  * New maintainer.
  * Wrote tidy(1).  Closes: Bug#41445.
  * Using `-O2 -g -Wall' for CFLAGS as mandated by Policy.
  * Added doc-base support.
  * Makefile: Corrected the clean target.

 -- Matej Vela <vela@debian.org>  Wed, 22 Sep 1999 12:38:30 +0200

tidy (19990726-2) unstable; urgency=low

  * Updated to Standards-Version: 3.0.1.1.

 -- Johnie Ingram <johnie@debian.org>  Sat, 18 Sep 1999 04:26:04 -0500

tidy (19990726-1) unstable; urgency=low

  * New upstream version, closes: #41114.
  * Corrected URL in copyright file, closes: #41102.
  * Updated to Standards-Version 3.0.1.0.

 -- Johnie Ingram <johnie@debian.org>  Thu,  5 Aug 1999 03:47:07 -0500

tidy (19990415-1) unstable; urgency=low

  * New upstream version, closes: #39020.

 -- Johnie Ingram <johnie@debian.org>  Wed,  9 Jun 1999 12:54:06 -0400

tidy (19981113-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Fri, 11 Dec 1998 01:01:32 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: tidy
Section: web
Priority: optional
Maintainer: Jason Thomas <jason@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.5

Package: tidy
Architecture: any
Depends: ${shlibs:Depends}
Description: HTML syntax checker and reformatter
 Corrects markup in a way compliant with the latest standards, and
 optimal for the popular browsers.  It has a comprehensive knowledge
 of the attributes defined in the HTML 4.0 recommendation from W3C,
 and understands the US ASCII, ISO Latin-1, UTF-8 and the ISO 2022
 family of 7-bit encodings.  In the output:
 .
  * HTML entity names for characters are used when appropriate.
  * Missing attribute quotes are added, and mismatched quotes found.
  * Tags lacking a terminating '>' are spotted.
  * Proprietary elements are recognized and reported as such.
  * The page is reformatted, from a choice of indentation styles.
 .
 Tidy is a product of the World Wide Web Consortium.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1
 
# This is the debhelper compatability version to use.
export DH_COMPAT=3

# set the cflags to what debian requires
OTHERCFLAGS := -O2 -Wall
#OTHERCFLAGS := -ggdb3

patch: patch-stamp
patch-stamp:
	dh_testdir
 
	# Add here commands to patch the source..
	for i in `ls -1 debian/patches/*` ; \
        do \
        echo "--- $$i ---" ; patch -p1 < $$i ; \
        done
 
	touch patch-stamp
 
unpatch:
	dh_testdir
 
	# Add here commands to reverse patchs to the source.
	if [ -f patch-stamp ] ; then \
        for i in `ls -1 debian/patches/* | sort -r` ; \
        do \
        echo "--- $$i ---" ; patch -R -p1 < $$i ; \
        done ; \
        fi \
 
	if [ -f patch-stamp ] ; then \
        rm patch-stamp ; \
        fi

build: patch-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) OTHERCFLAGS="$(OTHERCFLAGS)"
	> $@

	# we need to give the manpage a proper name
	cp man_page.txt debian/tidy.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	# remove the manpage we created
	rm -f debian/tidy.1

	# reverse patchs we applied this has to happen after make clean
	-$(MAKE) -s -f debian/rules unpatch

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tidy.
	#$(MAKE) install PREFIX=$(CURDIR)/debian/tidy

	install -m 755 tidy \
	debian/tidy/usr/bin
	install -m 644 debian/tidy.conf \
	debian/tidy/etc

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#       dh_installdebconf       
	dh_installdocs
#       dh_installexamples
#	dh_installmenu
#       dh_installlogrotate
#       dh_installemacsen
#       dh_installpam
#       dh_installmime
#       dh_installinit
#       dh_installcron
	dh_installman
#       dh_installinfo
#       dh_undocumented
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#       dh_makeshlibs
	dh_installdeb
#       dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#       dh_installdebconf       
	dh_installdocs
#       dh_installexamples
#	dh_installmenu
#       dh_installlogrotate
#       dh_installemacsen
#       dh_installpam
#       dh_installmime
#       dh_installinit
#       dh_installcron
	dh_installman
#       dh_installinfo
#       dh_undocumented
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#       dh_makeshlibs
	dh_installdeb
#       dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

## tidy 20050415

=== build/gmake/Makefile ===
# Makefile - for tidy - HTML parser and pretty printer
#
#  CVS Info :
#
#     $Author: arnaud02 $ 
#     $Date: 2005/04/14 16:02:35 $ 
#     $Revision: 1.18 $ 
#
#  Copyright (c) 1998-2005 World Wide Web Consortium
#  (Massachusetts Institute of Technology, European Research 
#  Consortium for Informatics and Mathematics, Keio University).
#  All Rights Reserved.
#
#  Contributing Author(s):
#
#     Dave Raggett <dsr@w3.org>
#     Terry Teague <terry_teague@users.sourceforge.net>
#     Pradeep Padala<ppadala@users.sourceforge.net>
#
#  The contributing author(s) would like to thank all those who
#  helped with testing, bug fixes, and patience.  This wouldn't
#  have been possible without all of you.
#
#  COPYRIGHT NOTICE:
#
#  This software and documentation is provided "as is," and
#  the copyright holders and contributing author(s) make no
#  representations or warranties, express or implied, including
#  but not limited to, warranties of merchantability or fitness
#  for any particular purpose or that the use of the software or
#  documentation will not infringe any third party patents,
#  copyrights, trademarks or other rights. 
#
#  The copyright holders and contributing author(s) will not be
#  liable for any direct, indirect, special or consequential damages
#  arising out of any use of the software or documentation, even if
#  advised of the possibility of such damage.
#
#  Permission is hereby granted to use, copy, modify, and distribute
#  this source code, or portions hereof, documentation and executables,
#  for any purpose, without fee, subject to the following restrictions:
#
#  1. The origin of this source code must not be misrepresented.
#  2. Altered versions must be plainly marked as such and must
#     not be misrepresented as being the original source.
#  3. This Copyright notice may not be removed or altered from any
#     source or altered source distribution.
# 
#  The copyright holders and contributing author(s) specifically
#  permit, without fee, and encourage the use of this source code
#  as a component for supporting the Hypertext Markup Language in
#  commercial products. If you use this source code in a product,
#  acknowledgment is not required but would be appreciated.
#

SHELL=/bin/sh

PROJECT=tidy

# Installation variables.  Spaces OK, only dir create and file copy operations.
runinst_prefix=/usr/local
devinst_prefix=/usr/local

bininst = ${runinst_prefix}/bin
libinst = ${devinst_prefix}/lib
incinst = ${devinst_prefix}/include/$(PROJECT)
maninst = ${devinst_prefix}/man

# Internal variables. - No spaces allowed: libtool chokes on spaces in directory names.
TOPDIR = ../..
INCDIR = ${TOPDIR}/include
APPDIR = ${TOPDIR}/console
SRCDIR = ${TOPDIR}/src
OBJDIR = ./obj
LIBDIR = ${TOPDIR}/lib
BINDIR = ${TOPDIR}/bin
DOCDIR = ${TOPDIR}/htmldoc

# CFLAGS etc..
# For optimised builds, flags such as "-O2" should be added and -D_DEBUG=1
# disabled.
CC= gcc
CFLAGS= -g -Wall -Wno-switch -Wno-parentheses -I $(INCDIR)
# flags only supported with gcc 3.x
# CFLAGS += -Wunused-parameter

OTHERCFLAGS=
OTHERCFLAGS+= -D_DEBUG=1
# OTHERCFLAGS+= -DSUPPORT_ACCESSIBILITY_CHECKS=1 -DSUPPORT_UTF16_ENCODINGS=1 -DSUPPORT_ASIAN_ENCODINGS=1
ifdef SUPPORT_UTF16_ENCODINGS
CFLAGS += -DSUPPORT_UTF16_ENCODINGS=$(SUPPORT_UTF16_ENCODINGS)
endif
ifdef SUPPORT_ASIAN_ENCODINGS
CFLAGS += -DSUPPORT_ASIAN_ENCODINGS=$(SUPPORT_ASIAN_ENCODINGS)
endif
ifdef SUPPORT_ACCESSIBILITY_CHECKS
CFLAGS += -DSUPPORT_ACCESSIBILITY_CHECKS=$(SUPPORT_ACCESSIBILITY_CHECKS)
endif

DEBUGFLAGS=-g
ifdef DMALLOC
DEBUGFLAGS += -DDMALLOC
endif

LIBS=-lc
DEBUGLIBS=-ldmalloc

# Tidy lib related variables
TIDY_MAJOR = 1
TIDY_MINOR = 0

# This will come from autoconf again
LIBPREFIX = lib
LIBSUFFIX = .a
OBJSUF = .o

LIBRARY = $(LIBDIR)/$(LIBPREFIX)$(PROJECT)$(LIBSUFFIX)
AR=ar -r

XSLTPROC = xsltproc

EXES = $(BINDIR)/$(PROJECT) $(BINDIR)/tab2space

DOCS = $(DOCDIR)/quickref.html $(DOCDIR)/tidy.1 $(DOCDIR)/tidy-config.7

CONFIGXML = $(DOCDIR)/tidy-config.xml
HELPXML = $(DOCDIR)/tidy-help.xml

OBJFILES=\
        $(OBJDIR)/access$(OBJSUF)     $(OBJDIR)/attrs$(OBJSUF)      $(OBJDIR)/istack$(OBJSUF) \
        $(OBJDIR)/parser$(OBJSUF)     $(OBJDIR)/tags$(OBJSUF)       $(OBJDIR)/entities$(OBJSUF) \
        $(OBJDIR)/lexer$(OBJSUF)      $(OBJDIR)/pprint$(OBJSUF)     $(OBJDIR)/clean$(OBJSUF) \
        $(OBJDIR)/localize$(OBJSUF)   $(OBJDIR)/config$(OBJSUF)     $(OBJDIR)/alloc$(OBJSUF) \
        $(OBJDIR)/attrask$(OBJSUF)    $(OBJDIR)/attrdict$(OBJSUF)   $(OBJDIR)/attrget$(OBJSUF) \
        $(OBJDIR)/buffio$(OBJSUF)     $(OBJDIR)/fileio$(OBJSUF)     $(OBJDIR)/streamio$(OBJSUF) \
        $(OBJDIR)/tagask$(OBJSUF)     $(OBJDIR)/tmbstr$(OBJSUF)     $(OBJDIR)/utf8$(OBJSUF) \
        $(OBJDIR)/tidylib$(OBJSUF)

CFILES= \
        $(SRCDIR)/access.c       $(SRCDIR)/attrs.c        $(SRCDIR)/istack.c \
        $(SRCDIR)/parser.c       $(SRCDIR)/tags.c         $(SRCDIR)/entities.c \
        $(SRCDIR)/lexer.c        $(SRCDIR)/pprint.c       $(SRCDIR)/clean.c \
        $(SRCDIR)/localize.c     $(SRCDIR)/config.c       $(SRCDIR)/alloc.c \
        $(SRCDIR)/attrask.c      $(SRCDIR)/attrdict.c     $(SRCDIR)/attrget.c \
        $(SRCDIR)/buffio.c       $(SRCDIR)/fileio.c       $(SRCDIR)/streamio.c \
        $(SRCDIR)/tagask.c       $(SRCDIR)/tmbstr.c       $(SRCDIR)/utf8.c \
        $(SRCDIR)/tidylib.c

HFILES= $(INCDIR)/platform.h     $(INCDIR)/tidy.h         $(INCDIR)/tidyenum.h \
        $(INCDIR)/fileio.h       $(INCDIR)/buffio.h

LIBHFILES= \
        $(SRCDIR)/access.h       $(SRCDIR)/attrs.h        $(SRCDIR)/attrdict.h \
        $(SRCDIR)/clean.h        $(SRCDIR)/config.h       $(SRCDIR)/entities.h \
        $(SRCDIR)/forward.h      $(SRCDIR)/lexer.h        $(SRCDIR)/message.h \
        $(SRCDIR)/parser.h       $(SRCDIR)/pprint.h       $(SRCDIR)/streamio.h \
        $(SRCDIR)/tags.h         $(SRCDIR)/tmbstr.h       $(SRCDIR)/utf8.h \
        $(SRCDIR)/tidy-int.h


all:    $(LIBRARY) $(EXES)

doc:    $(DOCS)

$(LIBRARY): $(OBJFILES)
	if [ ! -d $(LIBDIR) ]; then mkdir $(LIBDIR); fi
	$(AR) $@ $(OBJFILES)
ifdef RANLIB
	$(RANLIB) $@
endif

$(OBJDIR)/%$(OBJSUF):	$(SRCDIR)/%.c $(HFILES) $(LIBHFILES) Makefile
	if [ ! -d $(OBJDIR) ]; then mkdir $(OBJDIR); fi
	$(CC) $(CFLAGS) $(OTHERCFLAGS) -o $@ -c $<

$(BINDIR)/$(PROJECT):	$(APPDIR)/tidy.c $(HFILES) $(LIBRARY)
	if [ ! -d $(BINDIR) ]; then mkdir $(BINDIR); fi
	$(CC) $(CFLAGS) $(OTHERCFLAGS) -o $@ $(APPDIR)/tidy.c -I$(INCDIR) -L$(LIBDIR) -l$(PROJECT)

$(BINDIR)/tab2space: $(APPDIR)/tab2space.c
	if [ ! -d $(BINDIR) ]; then mkdir $(BINDIR); fi
	$(CC) $(CFLAGS) $(OTHERCFLAGS) -o $@ $(APPDIR)/tab2space.c $(LIBS)

$(HELPXML): $(BINDIR)/$(PROJECT)
	$(BINDIR)/$(PROJECT) -xml-help > $@

$(CONFIGXML): $(BINDIR)/$(PROJECT)
	$(BINDIR)/$(PROJECT) -xml-config > $@

$(DOCDIR)/quickref.html: $(DOCDIR)/quickref-html.xsl $(CONFIGXML)
	$(XSLTPROC) -o $@ $(DOCDIR)/quickref-html.xsl $(CONFIGXML)

$(DOCDIR)/tidy.1: $(DOCDIR)/tidy1.xsl $(HELPXML)
	$(XSLTPROC) -o $@ $(DOCDIR)/tidy1.xsl $(HELPXML)

$(DOCDIR)/tidy-config.7: $(DOCDIR)/quickref-man.xsl $(CONFIGXML)
	$(XSLTPROC) -o $@ $(DOCDIR)/quickref-man.xsl $(CONFIGXML)

debug:
	@$(MAKE) CFLAGS='$(CFLAGS) $(DEBUGFLAGS)' LIBS='$(LIBS) $(DEBUGLIBS)' all

clean:
	rm -f $(OBJFILES) $(EXES) $(LIBRARY) $(DOCS) $(HELPXML) $(CONFIGXML) $(OBJDIR)/*.lo
	if [ -d $(OBJDIR)/.libs ]; then rmdir $(OBJDIR)/.libs; fi
	if [ -d $(LIBDIR)/.libs ]; then rmdir $(LIBDIR)/.libs; fi
	if [ "$(OBJDIR)" != "$(TOPDIR)" -a -d $(OBJDIR) ]; then rmdir $(OBJDIR); fi
	if [ "$(LIBDIR)" != "$(TOPDIR)" -a -d $(LIBDIR) ]; then rmdir $(LIBDIR); fi
	if [ "$(BINDIR)" != "$(TOPDIR)" -a -d $(BINDIR) ]; then rmdir $(BINDIR); fi

installhdrs: $(HFILES)
	if [ ! -d "$(incinst)" ]; then mkdir -p "$(incinst)"; fi
	cp -f $(HFILES) "$(incinst)/"

installib: $(LIBRARY)
	if [ ! -d "$(libinst)" ]; then mkdir -p "$(libinst)"; fi
	cp -f $(LIBRARY) "$(libinst)/"

installexes: $(EXES)
	if [ ! -d "$(bininst)" ]; then mkdir -p "$(bininst)"; fi
	cp -f $(EXES) "$(bininst)/"

installmanpage: $(DOCDIR)/tidy.1 $(DOCDIR)/tidy-config.7
	if [ ! -d "$(maninst)/man1" ]; then mkdir -p "$(maninst)/man1"; fi;
	if [ ! -d "$(maninst)/man7" ]; then mkdir -p "$(maninst)/man7"; fi;
	cp -f $(DOCDIR)/tidy.1 "$(maninst)/man1/tidy.1";
	cp -f $(DOCDIR)/tidy-config.7 "$(maninst)/man7/tidy-config.7";

install: installhdrs installib installmanpage installexes

## tidy 20051018

=== build/gmake/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 #  CVS Info :
 #
 #     $Author: arnaud02 $ 
-#     $Date: 2005/04/14 16:02:35 $ 
-#     $Revision: 1.18 $ 
+#     $Date: 2005/07/14 07:56:23 $ 
+#     $Revision: 1.21 $ 
 #
 #  Copyright (c) 1998-2005 World Wide Web Consortium
 #  (Massachusetts Institute of Technology, European Research 
@@ -121,7 +121,7 @@
 
 EXES = $(BINDIR)/$(PROJECT) $(BINDIR)/tab2space
 
-DOCS = $(DOCDIR)/quickref.html $(DOCDIR)/tidy.1 $(DOCDIR)/tidy-config.7
+DOCS = $(DOCDIR)/quickref.html $(DOCDIR)/tidy.1
 
 CONFIGXML = $(DOCDIR)/tidy-config.xml
 HELPXML = $(DOCDIR)/tidy-help.xml
@@ -190,11 +190,8 @@
 $(DOCDIR)/quickref.html: $(DOCDIR)/quickref-html.xsl $(CONFIGXML)
 	$(XSLTPROC) -o $@ $(DOCDIR)/quickref-html.xsl $(CONFIGXML)
 
-$(DOCDIR)/tidy.1: $(DOCDIR)/tidy1.xsl $(HELPXML)
+$(DOCDIR)/tidy.1: $(DOCDIR)/tidy1.xsl $(HELPXML) $(CONFIGXML)
 	$(XSLTPROC) -o $@ $(DOCDIR)/tidy1.xsl $(HELPXML)
-
-$(DOCDIR)/tidy-config.7: $(DOCDIR)/quickref-man.xsl $(CONFIGXML)
-	$(XSLTPROC) -o $@ $(DOCDIR)/quickref-man.xsl $(CONFIGXML)
 
 debug:
 	@$(MAKE) CFLAGS='$(CFLAGS) $(DEBUGFLAGS)' LIBS='$(LIBS) $(DEBUGLIBS)' all
@@ -219,10 +216,8 @@
 	if [ ! -d "$(bininst)" ]; then mkdir -p "$(bininst)"; fi
 	cp -f $(EXES) "$(bininst)/"
 
-installmanpage: $(DOCDIR)/tidy.1 $(DOCDIR)/tidy-config.7
+installmanpage: $(DOCDIR)/tidy.1
 	if [ ! -d "$(maninst)/man1" ]; then mkdir -p "$(maninst)/man1"; fi;
-	if [ ! -d "$(maninst)/man7" ]; then mkdir -p "$(maninst)/man7"; fi;
 	cp -f $(DOCDIR)/tidy.1 "$(maninst)/man1/tidy.1";
-	cp -f $(DOCDIR)/tidy-config.7 "$(maninst)/man7/tidy-config.7";
 
 install: installhdrs installib installmanpage installexes
